package com.ruoyi.project.sems.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.sems.mapper.TReportHiYlgdMapper;
import com.ruoyi.project.sems.domain.TReportHiYlgd;
import com.ruoyi.project.sems.service.ITReportHiYlgdService;

import javax.annotation.Resource;

/**
 * 压力管道报告历史Service业务层处理
 *
 * @author ruoyi
 * @date 2021-09-02
 */
@Service("tReportHiYlgdService")
public class TReportHiYlgdServiceImpl implements ITReportHiYlgdService
{
    @Resource
    private TReportHiYlgdMapper tReportHiYlgdMapper;

    /**
     * 查询压力管道报告历史
     *
     * @param id 压力管道报告历史ID
     * @return 压力管道报告历史
     */
    @Override
    public TReportHiYlgd selectTReportHiYlgdById(Long id)
    {
        return tReportHiYlgdMapper.selectTReportHiYlgdById(id);
    }

    /**
     * 查询压力管道报告历史列表
     *
     * @param tReportHiYlgd 压力管道报告历史
     * @return 压力管道报告历史
     */
    @Override
    public List<TReportHiYlgd> selectTReportHiYlgdList(TReportHiYlgd tReportHiYlgd)
    {
        return tReportHiYlgdMapper.selectTReportHiYlgdList(tReportHiYlgd);
    }

    @Override
    public List<TReportHiYlgd> selectTReportHiYlgdForYear(TReportHiYlgd year) {
        return this.tReportHiYlgdMapper.selectTReportHiYlgdForYear(year);
    }

    /**
     * 新增压力管道报告历史
     *
     * @param tReportHiYlgd 压力管道报告历史
     * @return 结果
     */
    @Override
    public int insertTReportHiYlgd(TReportHiYlgd tReportHiYlgd)
    {
        return tReportHiYlgdMapper.insertTReportHiYlgd(tReportHiYlgd);
    }

    /**
     * 修改压力管道报告历史
     *
     * @param tReportHiYlgd 压力管道报告历史
     * @return 结果
     */
    @Override
    public int updateTReportHiYlgd(TReportHiYlgd tReportHiYlgd)
    {
        return tReportHiYlgdMapper.updateTReportHiYlgd(tReportHiYlgd);
    }

    /**
     * 批量删除压力管道报告历史
     *
     * @param ids 需要删除的压力管道报告历史ID
     * @return 结果
     */
    @Override
    public int deleteTReportHiYlgdByIds(Long[] ids)
    {
        return tReportHiYlgdMapper.deleteTReportHiYlgdByIds(ids);
    }

    /**
     * 删除压力管道报告历史信息
     *
     * @param id 压力管道报告历史ID
     * @return 结果
     */
    @Override
    public int deleteTReportHiYlgdById(Long id)
    {
        return tReportHiYlgdMapper.deleteTReportHiYlgdById(id);
    }
}
